# FROM thingsboard/tb-gateway:latest

## version 2.8 doesn't throw any exceptions and it worked
# FROM thingsboard/tb-gateway:2.8

## FIXME version 2.9 onwards throws exceptions
# FROM thingsboard/tb-gateway:2.9
# FROM thingsboard/tb-gateway:3.0
# FROM thingsboard/tb-gateway:latest

## working with absolute newest master version which is built locally
FROM local_tb-gateway:latest

# RUN apt-get install -y wget unixodbc odbcinst dpkg-dev gnupg

COPY mysql-apt-config_0.8.22-1_all.deb ./mysql-apt-config_0.8.22-1_all.deb
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get install -y lsb-release wget ## necessary to install the "mysql-apt-config-*" and "mysql-community-client-plugins" packages
RUN dpkg -i mysql-apt-config*
RUN apt-get update
RUN apt-get upgrade -y
RUN apt-get install -y mysql-community-client-plugins mysql-connector-odbc

## !! https://github.com/mkleehammer/pyodbc/wiki/Install#installing-on-linux !!
RUN apt-get install -y python3-pip python3-dev unixodbc-dev less

RUN pip install pyodbc

RUN rm -rf /etc/localtime
RUN ln -s /usr/share/zoneinfo/Europe/Berlin /etc/localtime

## TODO check for the drivers here https://stackoverflow.com/questions/53575855/how-to-find-list-of-odbc-drivers-installed-on-linux


COPY . ./
